#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x86,0x7F,0xAE,0x02,0x26,0x7B,0x57,0x23,0xA5,0x11,0xF5,0xB4,
		0x72,0xE6,0x3A,0x9D,0x55,0xA2,0x91,0x69,0xE1,0x00,0xFE,0x52,
		0xF5,0xE0,0xD6,0x6A,0xE0,0xB3,0x00,0xA0,0x53,0x28,0xDD,0xBE,
		0xD8,0x30,0xFB,0xD5,0xCA,0xF3,0x9D,0xF4,0xD3,0x6F,0xE3,0x34,
		0x6C,0x8B,0x6E,0x3D,0x8F,0x2D,0x8C,0x6C,0x6E,0x26,0xFB,0xFD,
		0xBC,0x6E,0xEE,0xAB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
